<?php
error_reporting(0);
ini_set(“display_errors”, 0 );



$idlote 						= $_GET["idlote"];
$idvenda 						= $_GET["idvenda"];
$idempreendimento               = $_GET["idempreendimento"];   


   
 include "conexao.php";

//$up = mysqli_query($db,"UPDATE lote SET status='2' WHERE idlote =$idlote");
$up2 = mysqli_query($db,"UPDATE venda SET status_venda ='2' WHERE idvenda =$idvenda");


//envia notificaçao
      include "envia_notificacao.php"; 

      date_default_timezone_set('America/Sao_Paulo');

      $mensagem = null;
      $data = date(H);

      if($data > 00 && $data < 12){
        $mensagem = "Bom dia";

      }if ($data > 12 && $data < 18) {
        $mensagem = "Boa tarde";
        # code...
      }if($data > 18 && $data < 23){
        $mensagem = "Boa noite";
      }

		$notifica = "SELECT imobiliaria_idimobiliaria FROM `venda` WHERE `idvenda` = $idvenda";
		$executa = mysqli_query($db,$notifica) or die ("Erro ao listar empreendiment123");

		if(mysqli_num_rows($executa)){
       		$dados = [];
       		$recebe = mysqli_fetch_assoc($executa);

       		$dado = null;
            $dado['id_user'] = $recebe["imobiliaria_idimobiliaria"];
            $dado['titulo'] = $mensagem.", novo contrato aprovado.";
            $dado['msg'] = 'Um novo contrato foi aprovado.';
            $dado['icon'] = 'https://immobilebusiness.com.br/home/assets/img/icons/site/favicon.png';
            $dado['link_red'] ="https://modelo.ibsystem.com.br/ver_contrato_empreendimento.php?venda_idvenda=".$idvenda."";
            $dado['badge'] = 'https://notificacao.ibsystem.com.br/badges/icone%20para%20notifica%c3%a7%c3%a3o.png';

            $dados[] = $dado;
            envia_notificacao($dados);
     }   

            
?>





<script>
	window.location="relatorio_vendas.php?idempreendimento=<?php echo $idempreendimento ?>";
</script>




